SessionExpirationCacheListener (Apache Geode 1.14.2)
Date: 2021-12-14

org.apache.geode.modules.session.catalina.callback

## Class SessionExpirationCacheListener

- java.lang.Object
- - org.apache.geode.cache.util.CacheListenerAdapter<String,javax.servlet.http.HttpSession>
  - - org.apache.geode.modules.session.catalina.callback.SessionExpirationCacheListener

- All Implemented Interfaces:
    CacheCallback, CacheListener<String,javax.servlet.http.HttpSession>, Declarable

      public class SessionExpirationCacheListener
      extends CacheListenerAdapter<String,javax.servlet.http.HttpSession>
      implements Declarable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionExpirationCacheListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterDestroy(EntryEvent<String,javax.servlet.http.HttpSession> event)` Handles the event of an entry being destroyed.
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.geode.cache.util.CacheListenerAdapter

      `afterCreate, afterInvalidate, afterRegionClear, afterRegionCreate, afterRegionDestroy, afterRegionInvalidate, afterRegionLive, afterUpdate, close`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.cache.Declarable

      `init, initialize`

- - ### Constructor Detail

    - #### SessionExpirationCacheListener

          public SessionExpirationCacheListener()

  - ### Method Detail

    - #### afterDestroy

          public void afterDestroy(EntryEvent<String,javax.servlet.http.HttpSession> event)

      Description copied from interface: `CacheListener`
      Handles the event of an entry being destroyed.
      Specified by:
        `afterDestroy` in interface `CacheListener<String,javax.servlet.http.HttpSession>`
      Overrides:
        `afterDestroy` in class `CacheListenerAdapter<String,javax.servlet.http.HttpSession>`
      Parameters:
        `event` - the EntryEvent
      See Also:
        `Region.destroy(Object)`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`